Serial Wombat Arduino Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PCB0046_HSD_PWM Class Reference

A class representing a PCB0046 HSD Eight Channel HSD High Side Driver board. More...

`#include <PCB0046_HSD.h>`

Collaboration diagram for PCB0046_HSD_PWM:
[legend]

## Public Member Functions
| PCB0046_HSD_PWM ()
int16_t | begin (uint8_t i2cAddress)
| Initialize a PCB0046_HSD pcb on a given I2C address and the I2C address + 1.
int16_t | selectCurrentFeedbackChannel (uint8_t ch)
uint16_t | readCurrentFeedbackAverage_mA ()
uint16_t | readCurrentFeedbackInstant_mA ()
bool | readChip4to7IsFaulted ()
bool | readChip0to3IsFaulted ()
uint16_t | readVin_mV ()

## Public Attributes
SerialWombatChip | sw0
SerialWombatChip | sw1
SerialWombatAnalogInput_18AB | vinMeas
SerialWombatAnalogInput_18AB | currentSenseSelector1
SerialWombatAnalogInput_18AB | currentSenseSelector2
SerialWombatDigitalOutput_18AB | selH
SerialWombatDigitalOutput_18AB | selL
SerialWombatDigitalOutput_18AB | diagEn
SerialWombatDigitalInput_18AB | fault0to3
SerialWombatDigitalInput_18AB | fault4to7
SerialWombatPWM_18AB | output0
SerialWombatPWM_18AB | output1
SerialWombatPWM_18AB | output2
SerialWombatPWM_18AB | output3
SerialWombatPWM_18AB | output4
SerialWombatPWM_18AB | output5
SerialWombatPWM_18AB | output6
SerialWombatPWM_18AB | output7
SerialWombatPWM_18AB * | outputArray [8] = { &output0,&output1,&output2,&output3,&output4,&output5,&output6,&output7}

## Detailed Description

A class representing a PCB0046 HSD Eight Channel HSD High Side Driver board.

The PCB0046 class makes all functionality from the PCB0046 board available.

A Tutorial video is also avaialble:

https://youtu.be/TODO

Definition at line 49 of file PCB0046_HSD.h.

## Constructor & Destructor Documentation

## ◆ PCB0046_HSD_PWM()

PCB0046_HSD_PWM::PCB0046_HSD_PWM | ( |  | ) |
| inline

Definition at line 52 of file PCB0046_HSD.h.

## Member Function Documentation

## ◆ begin()

int16_t PCB0046_HSD_PWM::begin | ( | uint8_t | i2cAddress | ) |
| inline

Initialize a PCB0046_HSD pcb on a given I2C address and the I2C address + 1.

Wire must be initialized before calling this function

Parameters

  i2cAddress | The I2C address of the PCB

Returns
  Returns a negative number indicating an error code, or a non negative number indicating success

Definition at line 73 of file PCB0046_HSD.h.

## ◆ readChip0to3IsFaulted()

bool PCB0046_HSD_PWM::readChip0to3IsFaulted | ( |  | ) |
| inline

Definition at line 203 of file PCB0046_HSD.h.

## ◆ readChip4to7IsFaulted()

bool PCB0046_HSD_PWM::readChip4to7IsFaulted | ( |  | ) |
| inline

Definition at line 197 of file PCB0046_HSD.h.

## ◆ readCurrentFeedbackAverage_mA()

uint16_t PCB0046_HSD_PWM::readCurrentFeedbackAverage_mA | ( |  | ) |
| inline

Definition at line 152 of file PCB0046_HSD.h.

## ◆ readCurrentFeedbackInstant_mA()

uint16_t PCB0046_HSD_PWM::readCurrentFeedbackInstant_mA | ( |  | ) |
| inline

Definition at line 176 of file PCB0046_HSD.h.

## ◆ readVin_mV()

uint16_t PCB0046_HSD_PWM::readVin_mV | ( |  | ) |
| inline

Definition at line 208 of file PCB0046_HSD.h.

## ◆ selectCurrentFeedbackChannel()

int16_t PCB0046_HSD_PWM::selectCurrentFeedbackChannel | ( | uint8_t | ch | ) |
| inline

Definition at line 111 of file PCB0046_HSD.h.

## Member Data Documentation

## ◆ currentSenseSelector1

SerialWombatAnalogInput_18AB PCB0046_HSD_PWM::currentSenseSelector1

Definition at line 57 of file PCB0046_HSD.h.

## ◆ currentSenseSelector2

SerialWombatAnalogInput_18AB PCB0046_HSD_PWM::currentSenseSelector2

Definition at line 57 of file PCB0046_HSD.h.

## ◆ diagEn

SerialWombatDigitalOutput_18AB PCB0046_HSD_PWM::diagEn

Definition at line 58 of file PCB0046_HSD.h.

## ◆ fault0to3

SerialWombatDigitalInput_18AB PCB0046_HSD_PWM::fault0to3

Definition at line 59 of file PCB0046_HSD.h.

## ◆ fault4to7

SerialWombatDigitalInput_18AB PCB0046_HSD_PWM::fault4to7

Definition at line 59 of file PCB0046_HSD.h.

## ◆ output0

SerialWombatPWM_18AB PCB0046_HSD_PWM::output0

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output1

SerialWombatPWM_18AB PCB0046_HSD_PWM::output1

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output2

SerialWombatPWM_18AB PCB0046_HSD_PWM::output2

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output3

SerialWombatPWM_18AB PCB0046_HSD_PWM::output3

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output4

SerialWombatPWM_18AB PCB0046_HSD_PWM::output4

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output5

SerialWombatPWM_18AB PCB0046_HSD_PWM::output5

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output6

SerialWombatPWM_18AB PCB0046_HSD_PWM::output6

Definition at line 60 of file PCB0046_HSD.h.

## ◆ output7

SerialWombatPWM_18AB PCB0046_HSD_PWM::output7

Definition at line 60 of file PCB0046_HSD.h.

## ◆ outputArray

SerialWombatPWM_18AB* PCB0046_HSD_PWM::outputArray[8] = { &output0,&output1,&output2,&output3,&output4,&output5,&output6,&output7}

Definition at line 62 of file PCB0046_HSD.h.

## ◆ selH

SerialWombatDigitalOutput_18AB PCB0046_HSD_PWM::selH

Definition at line 58 of file PCB0046_HSD.h.

## ◆ selL

SerialWombatDigitalOutput_18AB PCB0046_HSD_PWM::selL

Definition at line 58 of file PCB0046_HSD.h.

## ◆ sw0

SerialWombatChip PCB0046_HSD_PWM::sw0

Definition at line 56 of file PCB0046_HSD.h.

## ◆ sw1

SerialWombatChip PCB0046_HSD_PWM::sw1

Definition at line 56 of file PCB0046_HSD.h.

## ◆ vinMeas

SerialWombatAnalogInput_18AB PCB0046_HSD_PWM::vinMeas

Definition at line 57 of file PCB0046_HSD.h.